Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.jigsaw.filters
Class CacheFilter

    java.lang.Object
      |
      +--org.w3c.tools.resources.AttributeHolder
            |
            +--org.w3c.tools.resources.Resource
                  |
                  +--org.w3c.tools.resources.FramedResource
                        |
                        +--org.w3c.tools.resources.ResourceFrame
                              |
                              +--org.w3c.tools.resources.ResourceFilter
                                    |
                                    +--org.w3c.jigsaw.filters.CacheFilter

public class CacheFilter
extends ResourceFilter

Field Summary
`protected static int` | `ATTR_DEFAULT_MAX_AGE`
`protected static int` | `ATTR_MAX_ENTRIES`
`protected static int` | `ATTR_MAX_SIZE`
`protected org.w3c.jigsaw.filters.Cache` | `cache`
`protected static java.lang.String` | `STATE_TAG`

Fields inherited from class org.w3c.tools.resources.ResourceFrame
`filterClass, frameListener, resource`

Fields inherited from class org.w3c.tools.resources.FramedResource
`ATTR_OID, attrListener, debugEvent, event_disabled, framesRef, structListener`

Fields inherited from class org.w3c.tools.resources.Resource
`ATTR_CONTEXT, ATTR_HELP_URL, ATTR_IDENTIFIER, ATTR_LAST_MODIFIED, ATTR_PARENT, ATTR_RESOURCE_FRAMES, ATTR_STORE_ENTRY, ATTR_URL`

Fields inherited from class org.w3c.tools.resources.AttributeHolder
`attributes, values`

Constructor Summary
`CacheFilter()`

Method Summary
`int` | `getDefaultMaxAge()`
`int` | `getMaxEntries()`
`int` | `getMaxSize()`
`ReplyInterface` | `ingoingFilter(RequestInterface req, FilterInterface[] filters, int fidx)` The ingoingFilter method.
`ReplyInterface` | `outgoingFilter(RequestInterface req, ReplyInterface rep, FilterInterface[] filters, int fidx)` The outgoingFilter method.

Methods inherited from class org.w3c.tools.resources.ResourceFilter
`exceptionFilter, getTargetResource, ingoingFilter, lookup, outgoingFilter, outputFilter`

Methods inherited from class org.w3c.tools.resources.ResourceFrame
`addFrameEventListener, attributeChanged, checkRequest, eventDisabled, fireFrameEvent, frameModified, getFilters, getFilters, getFrameReference, getResource, getResourceReference, getSpaceEntry, getURLPath, lookupFilters, lookupFrames, perform, postFrameEvent, processEvent, registerResource, removeFrameEventListener, setValue, unregisterResource, updateDefaultChildAttributes`

Methods inherited from class org.w3c.tools.resources.FramedResource
`addAttributeChangedListener, addStructureChangedListener, collectFramesReference, delete, disableEvent, displayEvent, enableEvent, fireAttributeChangeEvent, fireStructureChangedEvent, fireStructureChangedEvent, frameAdded, frameRemoved, getClone, getFrame, getFrame, getFrameReference, getFrameReference, getFramesReference, getOid, initialize, markModified, notifyUnload, performFrames, postAttributeChangeEvent, postEvent, postStructureChangedEvent, postStructureChangedEvent, registerFrame, registerFrameIfNone, removeAttributeChangedListener, removeStructureChangedListener, setSilentValue, setSilentValue, unregisterFrame`

Methods inherited from class org.w3c.tools.resources.Resource
`acceptUnload, checkMultipleLock, collectFrames, getContext, getFrame, getFrames, getHelpURL, getHelpURL, getIdentifier, getLastModified, getParent, getServer, getSpace, getStoreEntry, getValue, getValue, isInitialized, isUnloaded, setContext, setContext, setValue, updateAttributes`

Methods inherited from class org.w3c.tools.resources.AttributeHolder
`definesAttribute, definesAttribute, getAttributes, getBoolean, getChar, getClone, getClone, getDouble, getFloat, getInt, getLong, getString, getValue, initialize, lookupAttribute, pickleValues, print, setBoolean, setChar, setDouble, setFloat, setInt, setLong, setString, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### cache

    protected org.w3c.jigsaw.filters.Cache cache

### STATE_TAG

    protected static final java.lang.String STATE_TAG

### ATTR_MAX_SIZE

    protected static int ATTR_MAX_SIZE

### ATTR_MAX_ENTRIES

    protected static int ATTR_MAX_ENTRIES

### ATTR_DEFAULT_MAX_AGE

    protected static int ATTR_DEFAULT_MAX_AGE

Constructor Detail

### CacheFilter

    public CacheFilter()

Method Detail

### getMaxSize

    public int getMaxSize()

### getMaxEntries

    public int getMaxEntries()

### getDefaultMaxAge

    public int getDefaultMaxAge()

### ingoingFilter

    public ReplyInterface ingoingFilter(RequestInterface req,
                                        FilterInterface[] filters,
                                        int fidx)
                                 throws ProtocolException

  Description copied from class: ResourceFilter
  The ingoingFilter method. This is the method that really gets called by Jigsaw core. By default it will invoke the simpler `ingoingFilter` method, taking only the request has a parameter.
  Overrides:
    ingoingFilter in class ResourceFilter
  Returns:
    A Reply instance, if the filter did know how to answer the request without further processing, null otherwise.
  Throws:
    ProtocolException - If processing should be interrupted, because an abnormal situation occured.

### outgoingFilter

    public ReplyInterface outgoingFilter(RequestInterface req,
                                         ReplyInterface rep,
                                         FilterInterface[] filters,
                                         int fidx)
                                  throws ProtocolException

  Description copied from class: ResourceFilter
  The outgoingFilter method. This method is the one that gets called by Jigsaw core. By default it will call the simpler `outgoingFilter` method that takes only the request and the reply as parameters.
  Overrides:
    outgoingFilter in class ResourceFilter
  Parameters:
    `request` - The original request.
    `reply` - It's original reply.
  Returns:
    A Reply instance, or null if processing should continue normally.
  Throws:
    ProtocolException - If processing should be interrupted because an abnormal situation occured.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD